Commit 7bac1dd6 authored by Christophe Mutricy's avatar Christophe Mutricy
Browse files

debian/*: we no longer seems to requires gcc-snapshot. I commit mainly to test...

debian/*: we no longer seems to requires gcc-snapshot. I commit mainly to test on the nightlies. feel free to revert.
parent 66987bac
......@@ -2,7 +2,7 @@ Source: vlc
Section: graphics
Priority: optional
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 4.0), dh-buildinfo, dpatch, gcc-snapshot [i386 amd64], nasm, yasm [amd64], gettext, linux-kernel-headers (>= 2.5.999-test7-bk-7), mozilla-dev (>= 2:1.7.10-1), xlibmesa-gl-dev, liba52-0.7.4-dev, libaa1-dev, libarts1-dev (>= 1.4.2-1), libasound2-dev (>= 0.9.0beta10a), libaudiofile-dev, libavahi-client-dev, libavcodec-dev (>= 0.cvs20050918-2), libavformat-dev (>= 0.cvs20050918-2), libcaca-dev (>= 0.9), libcdio-dev, libdvbpsi4-dev, libdvdnav-dev, libdvdread3-dev, libdts-dev, libesd0-dev, libflac-dev (>= 1.1.2-3), libfreetype6-dev, libfribidi-dev, libggi2-dev, libglib2.0-0, libglide2-dev [i386], libgnutls-dev (>= 1.2.8), libhal-dev (>= 0.5.5.1-3), libid3tag0-dev, libidl0, libimlib2-dev, liblircclient-dev, liblivemedia-dev (>= 2004.11.11a-1), libmad0-dev, libmatroska-dev (>= 0.7.7), libmodplug-dev, libmpcdec-dev, libmpeg2-4-dev, libncurses5-dev, libogg-dev, libpostproc-dev (>= 0.cvs20050918-2), libpng12-dev, libsdl1.2-dev (>= 1.2.7+1.2.8cvs20041007-5.3), libsmbclient-dev, libsvga1-dev [i386], libsysfs-dev, libtar-dev, libtheora-dev, libvcdinfo-dev, libvorbis-dev, libwxgtk2.6-dev, libx11-dev, libxext-dev, libxml2-dev, libxt-dev, libxv-dev, zlib1g-dev
Build-Depends: debhelper (>= 4.0), dh-buildinfo, dpatch, nasm, yasm [amd64], gettext, linux-kernel-headers (>= 2.5.999-test7-bk-7), mozilla-dev (>= 2:1.7.10-1), xlibmesa-gl-dev, liba52-0.7.4-dev, libaa1-dev, libarts1-dev (>= 1.4.2-1), libasound2-dev (>= 0.9.0beta10a), libaudiofile-dev, libavahi-client-dev, libavcodec-dev (>= 0.cvs20050918-2), libavformat-dev (>= 0.cvs20050918-2), libcaca-dev (>= 0.9), libcdio-dev, libdvbpsi4-dev, libdvdnav-dev, libdvdread3-dev, libdts-dev, libesd0-dev, libflac-dev (>= 1.1.2-3), libfreetype6-dev, libfribidi-dev, libggi2-dev, libglib2.0-0, libglide2-dev [i386], libgnutls-dev (>= 1.2.8), libhal-dev (>= 0.5.5.1-3), libid3tag0-dev, libidl0, libimlib2-dev, liblircclient-dev, liblivemedia-dev (>= 2004.11.11a-1), libmad0-dev, libmatroska-dev (>= 0.7.7), libmodplug-dev, libmpcdec-dev, libmpeg2-4-dev, libncurses5-dev, libogg-dev, libpostproc-dev (>= 0.cvs20050918-2), libpng12-dev, libsdl1.2-dev (>= 1.2.7+1.2.8cvs20041007-5.3), libsmbclient-dev, libsvga1-dev [i386], libsysfs-dev, libtar-dev, libtheora-dev, libvcdinfo-dev, libvorbis-dev, libwxgtk2.6-dev, libx11-dev, libxext-dev, libxml2-dev, libxt-dev, libxv-dev, zlib1g-dev
Standards-Version: 3.6.2.1
Package: vlc
......
......@@ -86,16 +86,6 @@ vlc_confflags += --enable-glide
vlc_confflags += --enable-svgalib
endif
# We need this hack for i386 and amd64
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),i386)
CC = $(shell pwd)/debian/gcc-snapshot
export CC
endif
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),amd64)
CC = $(shell pwd)/debian/gcc-snapshot
export CC
endif
# Remove --without-dvdcss in non-totalitarian countries
vlc_confflags += --enable-dvd --without-dvdcss
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment